> ## Documentation Index
> Fetch the complete documentation index at: https://developer.kiotapay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Make a Bank Payment 

> Description of your new file.

# Bank Payment API

This API allows a company to create a new bank payment transaction.

***

## **Endpoint**

`POST /api/sandbox/v1/bank/payout/new`

***

## **Base URL**

`https://api.kiotapay.co`

***

## **Request Headers**

| Key             | Value                 | Required | Description                                                        |
| :-------------- | :-------------------- | :------- | :----------------------------------------------------------------- |
| `Content-Type`  | `application/json`    | ✅        | Specifies that the request body is in JSON format.                 |
| `Authorization` | `Bearer <your-token>` | ✅        | API authentication token. Replace `<your-token>` with a valid JWT. |

***

## **Request Body**

The body must contain the following fields:

```json theme={null}
{
    "bankCode": "00X3", // Use the format 00 + Bank Code
    "beneficiaryName": "Recipient User",
    "creditAccountNumber": "01001735202370",
    "amount": 1000,
    "narration": "sendToAccount",
    "callbackUrl": "https://eozwvurcbugqsti.m.pipedream.net",
    "referenceId":"1234"
}
```

A list of [Bank Codes](https://www.kba.co.ke/wp-content/uploads/2023/09/Bank-and-Branches-July-2023v.pdf) in Kenya  is available [Here](https://www.kba.co.ke/wp-content/uploads/2023/09/Bank-and-Branches-July-2023v.pdf) . Please use the format 00 + Bank Code as shown in the example payload above\
\
**Explanation**

| **Field**           | Type   | Description                                                                                                                                                           |
| :------------------ | :----- | :-------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| beneficiaryName     | String | The **name** associated with the beneficiary (recipient) account number.                                                                                              |
| amount              | Number | The amount to be transacted in the Kenyan Shillings currency.                                                                                                         |
| creditAccountNumber | String | The account number that will receive the amount                                                                                                                       |
| narration           | String | Additional information about the transaction.                                                                                                                         |
| bankCode            | String | The **bank code** associated with the beneficiary (recipient) account number.                                                                                         |
|                     |        |                                                                                                                                                                       |
| callbackUrl         | String | A valid **POST** URL where payment confirmation will be sent.                                                                                                         |
| referenceId         | String | This is an optional field that represents the request ID from your system. It can be used to query the transaction, as it maps to the identifier used in your system. |

**Sample Response Body**

```json theme={null}
{
    "status": 201,
    "message": "Success",
    "data": {
        "requestId": "8fa1fab3-a1d6-41fd-9199-d5517efc0d41",
        "creditAccountNumber": "01001735202370",
        "beneficiaryName": "Recipient User",
        "amount": 1000,
        "status": "PENDING"
    }
}
```

**Sample Callback Body**

```json theme={null}
{
  "accountNumber": "1234567890",
  "businessNumber": "9876543210",
  "requestId": "d290f1ee-6c54-4b01-90e6-d701748f0851",
  "amount": 1000,
  "status": "SUCCESS" // SUCCESS, FAILED, PENDING
}
```
